View Issue Details

IDProjectCategoryView StatusLast Update
0003668GNUnetDHT servicepublic2018-06-07 00:25
ReporterMatthias WachsAssigned ToBart Polot 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.11.0pre66Fixed in Version0.11.0pre66 
Summary0003668: Constant high CPU load of 0000014:0000020-30% when running a peer
DescriptionMy peer is connected with 5 other peers and DHT produces a high CPU load constant with 20-30%

Is this normal?
TagsNo tags attached.

Activities

Bart Polot

2015-02-10 15:45

reporter   ~0008856

Nope, it's not normal. Could you post your peer's statistics?

Matthias Wachs

2015-02-10 16:05

reporter   ~0008857

Will do as soon as I can reproduce!

Bart Polot

2015-02-10 16:09

reporter   ~0008858

I think it is informative even *after* the spike, as long as you haven't restarted the peer.

Christian Grothoff

2015-03-08 12:59

manager   ~0009002

Looks much better now, at least gnunet9's CPU load seems quite reasonable. There might be potential for optimization, but not a sign of serious bugs.

Issue History

Date Modified Username Field Change
2015-02-10 15:36 Matthias Wachs New Issue
2015-02-10 15:36 Matthias Wachs Status new => assigned
2015-02-10 15:36 Matthias Wachs Assigned To => Bart Polot
2015-02-10 15:45 Bart Polot Note Added: 0008856
2015-02-10 16:05 Matthias Wachs Note Added: 0008857
2015-02-10 16:05 Matthias Wachs Status assigned => feedback
2015-02-10 16:09 Bart Polot Note Added: 0008858
2015-03-08 12:59 Christian Grothoff Note Added: 0009002
2015-03-08 12:59 Christian Grothoff Status feedback => resolved
2015-03-08 12:59 Christian Grothoff Fixed in Version => 0.11.0pre66
2015-03-08 12:59 Christian Grothoff Resolution open => fixed
2015-03-08 12:59 Christian Grothoff Product Version => SVN HEAD
2015-03-08 12:59 Christian Grothoff Target Version => 0.11.0pre66
2018-06-07 00:25 Christian Grothoff Status resolved => closed